## gobi-loader 0.6

=== Makefile ===
VERSION = 0.6

gobi_loader: gobi_loader.c
	gcc -Wall gobi_loader.c -o gobi_loader

all: gobi_loader

install: gobi_loader
	install -D gobi_loader ${prefix}/lib/udev/gobi_loader
	install -D 60-gobi.rules ${prefix}/lib/udev/rules.d/60-gobi.rules
	mkdir -p ${prefix}/lib/firmware
	-udevadm control --reload-rules

uninstall:
	-rm $(prefix)/lib/udev/gobi_loader
	-rm $(prefix)/etc/udev/rules.d/60-gobi.rules

clean:
	-rm gobi_loader
	-rm *~

dist:
	mkdir gobi_loader-$(VERSION)
	cp gobi_loader.c README Makefile 60-gobi.rules gobi_loader-$(VERSION)
	tar zcf gobi_loader-$(VERSION).tar.gz gobi_loader-$(VERSION)
	rm -rf gobi_loader-$(VERSION)

## gobi-loader 0.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.6
+VERSION = 0.7
 
 gobi_loader: gobi_loader.c
 	gcc -Wall gobi_loader.c -o gobi_loader
@@ -13,7 +13,7 @@
 
 uninstall:
 	-rm $(prefix)/lib/udev/gobi_loader
-	-rm $(prefix)/etc/udev/rules.d/60-gobi.rules
+	-rm $(prefix)/lib/udev/rules.d/60-gobi.rules
 
 clean:
 	-rm gobi_loader

=== debian/changelog ===
gobi-loader (0.7-0ubuntu7) oracular; urgency=medium

  * d/p/respect-cc-and-cflags.patch: Respect CC and CFLAGS environment variables

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 28 Jun 2024 13:05:08 +0100

gobi-loader (0.7-0ubuntu6) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:58:32 +0200

gobi-loader (0.7-0ubuntu5) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:55:30 +0100

gobi-loader (0.7-0ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:12:17 +0200

gobi-loader (0.7-0ubuntu3) zesty; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2017 15:47:25 +0000

gobi-loader (0.7-0ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 10:49:41 +0100

gobi-loader (0.7-0ubuntu1) maverick; urgency=low

  * Initial release by debianizing upstream release 0.7

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 02 Aug 2010 16:54:26 +0200

=== debian/control ===
Source: gobi-loader
Section: comm
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.1
Homepage: http://www.codon.org.uk/~mjg59/gobi_loader/

Package: gobi-loader
Architecture: any
Depends: udev, ${shlibs:Depends}, ${misc:Depends}
Description: Firmware loader for Qualcom GobiUSB chipsets
 gobi_loader is a firmware loader for Qualcomm Gobi USB chipsets. These
 devices appear in an uninitialised state when power is applied and require
 firmware to be loaded before they can be used as modems. gobi_loader adds a
 udev rule that will trigger loading of the firmware and make the modem usable.

## gobi-loader 0.7%2Bgit20171116.143deb4%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	-rm $(prefix)/lib/udev/rules.d/60-gobi.rules
 
 clean:
-	-rm gobi_loader
-	-rm *~
+	-rm -f gobi_loader
+	-rm -f *~
 
 dist:
 	mkdir gobi_loader-$(VERSION)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGDIR=$(CURDIR)/debian/gobi-loader
UDEVDIR=$(shell pkg-config --variable=udevdir udev)

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(PKGDIR)$(UDEVDIR)
	install -m0755 gobi_loader $(PKGDIR)$(UDEVDIR)/gobi_loader
	sed s@gobi_loader@$(UDEVDIR)/gobi_loader@ 60-gobi.rules > debian/gobi-loader.udev

override_dh_auto_clean:
	make clean
	rm -f debian/gobi-loader.udev

## gobi-loader 0.7+git20171116.143deb4+dfsg

=== openwrt/trunk/package/iapps/gobi_loader/Makefile ===
#
# Example for user-defined program
#

include $(TOPDIR)/rules.mk

PKG_NAME:=gobi_loader
PKG_VERSION:=1.0
PKG_BUILD_DIR:=$(BUILD_DIR)/gobi_loader-$(PKG_VERSION)

include $(INCLUDE_DIR)/package.mk

# SECTION currently unused 
define Package/$(PKG_NAME)
 SECTION:=utils
 CATEGORY:=Utilities
 TITLE:=Firmware loader for Qualcomm Gobi USB chipsets
 SUBMENU:=iPkg
 MAINTAINER:=Matthew Garrett, Kicer Jiao
 URL:=
 DEPENDS:=
endef

define Package/$(PKG_NAME)/description
  Firmware loader for Qualcomm Gobi USB chipsets
endef

# backup this files when upgrade
define Package/$(PKG_NAME)/conffiles
endef

# install script
define Package/$(PKG_NAME)/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/$(PKG_NAME) $(1)/usr/bin
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) ./files/gobi-loader.init $(1)/etc/init.d/gobi-loader
	$(INSTALL_DIR) $(1)/etc/config
	$(INSTALL_DATA) ./files/gobi-loader.config $(1)/etc/config/gobi-loader
endef

# pre-install script
define Package/$(PKG_NAME)/preinst
endef

# post-install script
define Package/$(PKG_NAME)/postinst
endef

# pre-remove script
define Package/$(PKG_NAME)/prerm
endef

# post-remove script
define Package/$(PKG_NAME)/postrm
endef

define Build/Prepare
	[ -d $(PKG_BUILD_DIR) ] || mkdir -p $(PKG_BUILD_DIR)
	$(CP) ./src/* $(PKG_BUILD_DIR)
endef

define Build/Configure
endef

#define Build/Compile
#endef

$(eval $(call BuildPackage,$(PKG_NAME)))

=== openwrt/trunk/package/iapps/gobi_loader/src/Makefile ===
all: gobi_loader

%.o: %.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c -o $@ $^

gobi_loader: gobi_loader.o
	$(CC) -o $@ $^

clean:
	rm -f *.o gobi_loader

=== debian/changelog ===
gobi-loader (0.7+git20171116.143deb4+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Maintain package on Salsa in Debian/ team
  * 3.0 source format
    Closes: #1007422
  * Fix Homepage
    Closes: #981589
  * d/watch: Fetch latest Git commit
  * d/rules: Its not a sample
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Add debian/upstream/metadata
  * Synopsis should be no sentence
  * Incorporate Ubuntu patch
  * d/p/respect-cc-and-cflags.patch: Respect CC and CFLAGS environment variables
    Closes: #1074585
  * Add manpage created by Ubuntu

 -- Andreas Tille <tille@debian.org>  Sun, 31 Aug 2025 21:50:31 +0200

gobi-loader (0.6-2) unstable; urgency=medium

  * Orphan package.

 -- Mark Hymers <mhy@debian.org>  Sat, 15 Jun 2024 11:11:58 +0100

gobi-loader (0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Delegate placement of udev files to udev.pc's udevdir.
    (Closes: #1057740, #1058709)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 15 Dec 2023 00:54:55 +0100

gobi-loader (0.6-1) unstable; urgency=low

  * Initial release (Closes: #585567).

 -- Mark Hymers <mhy@debian.org>  Fri, 11 Jun 2010 21:38:44 +0100

=== debian/control ===
Source: gobi-loader
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: contrib/admin
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pkgconf,
               systemd-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/gobi-loader
Vcs-Git: https://salsa.debian.org/debian/gobi-loader.git
Homepage: https://github.com/kicer/gobi_loader/

Package: gobi-loader
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Firmware loader for Qualcomm Gobi USB chipsets
 gobi-loader is a firmware loader for Qualcomm Gobi USB chipsets. These devices
 appear in an uninitialised state when power is applied and require firmware to
 be loaded before they can be used as modems. gobi-loader adds a udev rule that
 will trigger loading of the firmware and make the modem usable.

=== debian/watch ===
version=4

opts="mode=git,pretty=0.7+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto" \
    https://github.com/kicer/gobi_loader.git HEAD
